أحتاج إلى loaders يحمل من max الى opengl